
  [ui-section=single-product]:not(#\#){
    padding:attr(data-top-spacing px) var(--spacing-24) attr(data-bottom-spacing px) !important;
  }
  [ui-section=single-product]{
    display:flex;
    gap:var(--spacing-24);
    flex-direction:column;
  }
  [ui-section=single-product] .core{
    display:grid;
    grid-template-columns:0.6fr 0.8fr 0.6fr;
    grid-gap:var(--spacing-48);
    gap:var(--spacing-48);
  }
  [ui-section=single-product] .core [ui-box=content]{
    display:flex;
    flex-direction:column;
    gap:var(--spacing-16);
  }
  [ui-section=single-product] .core [ui-box=content] [ui-block=collection]{
    width:-moz-fit-content;
    width:fit-content;
  }
  [ui-section=single-product] .core [ui-box=content] [ui-block=title]{
    text-transform:uppercase;
  }
  [ui-section=single-product] .core [ui-box=content] [ui-block=title][data-size=xl]{
    font:var(--font-display-md);
  }
  [ui-section=single-product] .core [ui-box=content] [ui-block=title][data-size=lg]{
    font:var(--font-headline-lg);
  }
  [ui-section=single-product] .core [ui-box=content] [ui-block=title][data-size=md]{
    font:var(--font-title-lg);
  }
  [ui-section=single-product] .core [ui-box=content] [ui-block=title][data-size=sm]{
    font:var(--font-title-md);
  }
  [ui-section=single-product] .core [ui-box=content] [ui-block=title][data-size=xs]{
    font:var(--font-title-sm);
  }
  [ui-section=single-product] .core [ui-box=content] img,
  [ui-section=single-product] .core [ui-box=content] iframe{
    max-width:100%;
  }
  [ui-section=single-product] .core [ui-box=media]{
    --per-page:1;
    display:grid;
    grid-gap:var(--spacing-32);
    gap:var(--spacing-32);
    height:-moz-fit-content;
    height:fit-content;
    inset-block-start:var(--spacing-24);
  }
  [ui-section=single-product] .core [ui-box=media]:has(.markers){
    grid-template-columns:auto 40px;
  }
  [ui-section=single-product] .core [ui-box=media] .markers{
    display:flex;
    flex-direction:column;
    position:relative;
  }
  [ui-section=single-product] .core [ui-box=media] .markers::after{
    content:"";
    position:absolute;
    z-index:3;
    height:anchor-size(height);
    width:anchor-size(width);
    bottom:anchor(bottom);
    left:anchor(left);
    position-anchor:--selected;
    transition:var(--transition-standard-default-spatial);
    box-shadow:0 0 0 1px currentColor;
  }
  [ui-section=single-product] .core [ui-box=media] .markers .marker{
    height:auto;
    overflow:hidden;
    opacity:0.5;
    transition:var(--transition-standard-default-spatial);
  }
  [ui-section=single-product] .core [ui-box=media] .markers .marker[aria-selected=true]{
    opacity:1;
    anchor-name:--selected;
  }
  [ui-section=single-product] .core [ui-box=media] .markers .marker[data-image-ratio=square]{
    aspect-ratio:1/1;
  }
  [ui-section=single-product] .core [ui-box=media] .markers .marker[data-image-ratio=portrait]{
    aspect-ratio:3/4;
  }
  [ui-section=single-product] .core [ui-box=media] .markers .marker[data-image-ratio=landscape]{
    aspect-ratio:4/3;
  }
  [ui-section=single-product] .core [ui-box=media] .markers .marker img{
    -o-object-fit:cover;
       object-fit:cover;
  }
  [ui-section=single-product] .core [ui-box=media] .items[data-image-ratio=square]{
    aspect-ratio:1/1;
  }
  [ui-section=single-product] .core [ui-box=media] .items[data-image-ratio=portrait]{
    aspect-ratio:3/4;
  }
  [ui-section=single-product] .core [ui-box=media] .items[data-image-ratio=landscape]{
    aspect-ratio:4/3;
  }
  [ui-section=single-product] .core [ui-box=media] .items .item > img{
    -o-object-fit:cover;
       object-fit:cover;
  }
  [ui-section=single-product] .core [ui-box=actions]{
    display:flex;
    flex-direction:column;
    gap:var(--spacing-24);
    height:-moz-fit-content;
    height:fit-content;
    inset-block-start:var(--spacing-24);
  }
  [ui-section=single-product] .core [ui-box=actions] [ui-block=price]{
    display:flex;
    align-items:center;
    gap:var(--spacing-8);
  }
  [ui-section=single-product] .core [ui-box=actions] [ui-block=price][data-size=xl]{
    font:var(--font-display-md);
  }
  [ui-section=single-product] .core [ui-box=actions] [ui-block=price][data-size=lg]{
    font:var(--font-headline-lg);
  }
  [ui-section=single-product] .core [ui-box=actions] [ui-block=price][data-size=md]{
    font:var(--font-title-lg);
  }
  [ui-section=single-product] .core [ui-box=actions] [ui-block=price][data-size=sm]{
    font:var(--font-title-md);
  }
  [ui-section=single-product] .core [ui-box=actions] [ui-block=price][data-size=xs]{
    font:var(--font-title-sm);
  }
  [ui-section=single-product] .core [ui-box=actions] [ui-block=price] .compare-at-price{
    opacity:0.5;
    -webkit-text-decoration:line-through;
    text-decoration:line-through;
  }
  [ui-section=single-product] .core [ui-box=actions] [ui-block=controller]{
    display:grid;
    grid-gap:var(--spacing-8);
    gap:var(--spacing-8);
    grid-template-columns:repeat(2, 1fr);
  }
  [ui-section=single-product] .core [ui-box=actions] [ui-block=controller] .quantity-control{
    display:flex;
    align-items:center;
    gap:var(--spacing-16);
    grid-column:1/3;
  }
  [ui-section=single-product] .core [ui-box=actions] [ui-block=controller] .quantity-control .label{
    text-transform:uppercase;
    font:var(--font-body-sm);
  }
  [ui-section=single-product] .core [ui-box=actions] [ui-block=controller]:not(:has(> ui-shop-button)) > [ui-slot=button]{
    grid-column:1/3;
  }
  [ui-section=single-product] .core [ui-box=actions] [ui-block=controller]:not(:has(> [ui-slot=button])):not(:has(> ui-shop-button:nth-of-type(2))) > ui-shop-button{
    grid-column:1/3;
  }
  @media (min-width: 1024.02px){
    [ui-section=single-product] [ui-box=media]{
      position:sticky;
    }
    [ui-section=single-product] [ui-box=content] [ui-block=description]{
      margin-block-start:var(--spacing-64);
    }
    [ui-section=single-product] [ui-box=actions]{
      position:sticky;
      padding-block-start:50%;
    }
  }
  @media (max-width: 1024px){
    [ui-section=single-product]{
      gap:var(--spacing-24);
    }
    [ui-section=single-product] .core{
      grid-template-columns:1fr;
    }
    [ui-section=single-product] .core [ui-box=media]{
      order:-1;
      gap:var(--spacing-8);
    }
  }
  @media (max-width: 769px){
    [ui-section=single-product] .core [ui-box=content] [ui-block=title][data-size]{
      font:var(--font-title-lg);
    }
    [ui-section=single-product] .core [ui-box=actions] [ui-block=price][data-size]{
      font:var(--font-title-md);
    }
  }
